Bug 534864 - (RHQ-1619) Non-collapsable tree items should not have collapse buttons
Non-collapsable tree items should not have collapse buttons
Status: CLOSED NOTABUG
Product: RHQ Project
Classification: Other
Component: No Component (Show other bugs)
1.2
All All
medium Severity medium (vote)
: ---
: ---
Assigned To: RHQ Project Maintainer
Jeff Weiss
http://jira.rhq-project.org/browse/RH...
: SubBug
Depends On:
Blocks: rhq_triage rhq4
  Show dependency treegraph
 
Reported: 2009-02-20 13:54 EST by Jeff Weiss
Modified: 2014-11-09 17:48 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
rev3078
Last Closed: 2011-02-11 17:08:47 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jeff Weiss 2009-02-20 13:54:00 EST
The root node of the left nav tree is no longer collapsible.  The collapse icon should not be shown in this case, or any other case where you can't collapse. I believe this includes when you are browsing in the tree to a branch you cannot collapse branches above it.   Perhaps the logic is

if node is ancestor of current, no collapse OR if node is root no collapse 
Comment 1 Red Hat Bugzilla 2009-11-10 15:36:51 EST
This bug was previously known as http://jira.rhq-project.org/browse/RHQ-1619
Comment 2 wes hayutin 2010-02-16 11:54:30 EST
Temporarily adding the keyword "SubBug" so we can be sure we have accounted for all the bugs.

keyword:
new = Tracking + FutureFeature + SubBug
Comment 3 wes hayutin 2010-02-16 11:59:58 EST
making sure we're not missing any bugs in rhq_triage
Comment 4 John Mazzitelli 2011-02-11 17:08:47 EST
the  gwt resource tree component does not show the collapse/expand icon if there is nothing to show.

Note You need to log in before you can comment on or make changes to this bug.